## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanParsedSource Class Reference

This is abstract base class designed to allow a XalanTranfomer object to reuse a parsed document. More...

`#include <XalanParsedSource.hpp>`

Inheritance diagram for XalanParsedSource

List of all members.

## Public Methods

- XalanParsedSource ()
- virtual ~XalanParsedSource ()
- virtual XalanDocument* getDocument () const = 0
    Get a pointer to the XalanDocument instance for the source document. More...
- virtual XalanParsedSourceHelper* createHelper () const = 0
    Create the appropriate XalanParsedSourceHelper instance to use for transforming with the instance. More...
- virtual const XalanDOMString& getURI () const = 0
    Get the URI for the parsed source, if any. More...

## Detailed Description

This is abstract base class designed to allow a XalanTranfomer object to reuse a parsed document.

## Constructor & Destructor Documentation

XalanParsedSource::XalanParsedSource ( | )

virtual XalanParsedSource::~XalanParsedSource ( | )`[virtual]`

## Member Function Documentation

XalanParsedSourceHelper * XalanParsedSource::createHelper ( | ) const`[pure virtual]`

Create the appropriate XalanParsedSourceHelper instance to use for transforming with the instance.

The caller is responsible for deleting the object when finished.

Returns:
  A pointer to a XalanParsedSourceHelper instance.

Reimplemented in XalanDefaultDocumentBuilder, XalanDefaultParsedSource, XalanDocumentBuilder, XalanSourceTreeWrapperParsedSource, XercesDOMParsedSource, and XercesDOMWrapperParsedSource.

XalanDocument * XalanParsedSource::getDocument ( | ) const`[pure virtual]`

Get a pointer to the XalanDocument instance for the source document.

Returns:
  A pointer to a XalanDocument instance.

Reimplemented in XalanDefaultDocumentBuilder, XalanDefaultParsedSource, XalanDocumentBuilder, XalanSourceTreeWrapperParsedSource, XercesDOMParsedSource, and XercesDOMWrapperParsedSource.

const XalanDOMString & XalanParsedSource::getURI ( | ) const`[pure virtual]`

Get the URI for the parsed source, if any.

use for transforming with the instance.

Returns:
  A const reference to a string containing the URI

Reimplemented in XalanDefaultDocumentBuilder, XalanDefaultParsedSource, XalanDocumentBuilder, XalanSourceTreeWrapperParsedSource, XercesDOMParsedSource, and XercesDOMWrapperParsedSource.

The documentation for this class was generated from the following file:

- XalanParsedSource.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.